io.swagger.client.model

## Class FileStreamResult

- java.lang.Object
- - io.swagger.client.model.FileStreamResult

-     public class FileStreamResult
      extends Object

  FileStreamResult

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStreamResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileStreamResult` | `entityTag(EntityTagHeaderValue entityTag)`
    `boolean` | `equals(Object o)`
    `FileStreamResult` | `fileDownloadName(String fileDownloadName)`
    `FileStreamResult` | `fileStream(Stream fileStream)`
    `String` | `getContentType()` Get contentType
    `EntityTagHeaderValue` | `getEntityTag()` Get entityTag
    `String` | `getFileDownloadName()` Get fileDownloadName
    `Stream` | `getFileStream()` Get fileStream
    `org.joda.time.DateTime` | `getLastModified()` Get lastModified
    `int` | `hashCode()`
    `FileStreamResult` | `lastModified(org.joda.time.DateTime lastModified)`
    `void` | `setEntityTag(EntityTagHeaderValue entityTag)`
    `void` | `setFileDownloadName(String fileDownloadName)`
    `void` | `setFileStream(Stream fileStream)`
    `void` | `setLastModified(org.joda.time.DateTime lastModified)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStreamResult

          public FileStreamResult()

  - ### Method Detail

    - #### fileStream

          public FileStreamResult fileStream(Stream fileStream)

    - #### getFileStream

          public Stream getFileStream()

      Get fileStream
      Returns:
        fileStream

    - #### setFileStream

          public void setFileStream(Stream fileStream)

    - #### getContentType

          public String getContentType()

      Get contentType
      Returns:
        contentType

    - #### fileDownloadName

          public FileStreamResult fileDownloadName(String fileDownloadName)

    - #### getFileDownloadName

          public String getFileDownloadName()

      Get fileDownloadName
      Returns:
        fileDownloadName

    - #### setFileDownloadName

          public void setFileDownloadName(String fileDownloadName)

    - #### lastModified

          public FileStreamResult lastModified(org.joda.time.DateTime lastModified)

    - #### getLastModified

          public org.joda.time.DateTime getLastModified()

      Get lastModified
      Returns:
        lastModified

    - #### setLastModified

          public void setLastModified(org.joda.time.DateTime lastModified)

    - #### entityTag

          public FileStreamResult entityTag(EntityTagHeaderValue entityTag)

    - #### getEntityTag

          public EntityTagHeaderValue getEntityTag()

      Get entityTag
      Returns:
        entityTag

    - #### setEntityTag

          public void setEntityTag(EntityTagHeaderValue entityTag)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.